%define name	gxmms
%define version 0.2.1
%define release 1mdk

Name: 	 	%{name}
Summary: 	Controls XMMS through the GNOME2 panel
Version: 	%{version}
Release: 	%{release}

Source:		http://savannah.nongnu.org/download/gxmms/%{name}-%{version}.tar.bz2
URL:		http://www.nongnu.org/gxmms/
License:	GPL
Group:		Sound
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	libpanel-applet-2-devel
BuildRequires:	xmms-devel
BuildRequires:  perl-XML-Parser

%description
gXMMS is a simple GNOME panel applet that lets you control the basic functions
of the X MultiMedia System (XMMS).

This is the list of current features:

Scrollable track time progress bar
Buttons: Previous track - Play / Pause - Stop - Next track - Eject
Real-time tooltips with track title and time
Show/Hide main window, playlist editor and graphical eq
Internazionalization (i18n) 

%prep
%setup -q

%build
%configure2_5x
%make
										
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr(-,root,root)
%doc AUTHORS NEWS README
%_libexecdir/gxmms_applet
%{_libdir}/bonobo/servers/*
%{_datadir}/%name
%{_datadir}/gnome-2.0/ui/*
%{_datadir}/pixmaps/*

%changelog
* Wed Sep  8 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.2.1-1mdk
- New release 0.2.1

* Fri Sep  3 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.2.0-1mdk
- update file list
- update source URL
- New release 0.2.0

* Fri Jun 11 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.1.1-2mdk
- reformat description, bullet lists don't look good in rpmdrake
- fix buildrequires

* Thu Jun 10 2004 Austin Acton <austin@mandrake.org> 0.1.1-1mdk
- 0.1.1
- add languages

* Sun Jan 25 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.1.0-2mdk
- autoconf2.5 macro
- fix buildrequires

* Sat Jan 24 2004 Austin Acton <austin@mandrake.org> 0.1.0-1mdk
- initial package
